### Method

# Gdk DmabufFormatsget_format

since: 4.14

#### Declaration [src]

    void
    gdk_dmabuf_formats_get_format (
      GdkDmabufFormats* formats,
      gsize idx,
      guint32* fourcc,
      guint64* modifier
    )

#### Description [src]

Gets the fourcc code and modifier for a format that is contained in `formats`.

Available since: 4.14

#### Parameters

`idx`

  Type: `gsize`

  The index of the format to return.

`fourcc`

  Type: `guint32*`

  Return location for the format code.

  The argument will be set by the function.

`modifier`

  Type: `guint64*`

  Return location for the format modifier.

  The argument will be set by the function.